import { BasicEvent } from "@skeldjs/events";
import { ClearVoteMessage } from "@skeldjs/protocol";
import { MeetingHud } from "../../objects";
import { Hostable } from "../../Hostable";
import { PlayerData } from "../../PlayerData";
import { ProtocolEvent } from "../ProtocolEvent";
import { RoomEvent } from "../RoomEvent";
import { MeetingHudEvent } from "./MeetingHudEvent";
/**
 * Emitted when a player's vote is cleared.
 */
export declare class MeetingHudClearVoteEvent<RoomType extends Hostable = Hostable> extends BasicEvent implements RoomEvent, MeetingHudEvent, ProtocolEvent {
    readonly room: RoomType;
    readonly meetinghud: MeetingHud<RoomType>;
    readonly message: ClearVoteMessage | undefined;
    /**
     * The player that had their vote cleared.
     */
    readonly player: PlayerData<RoomType>;
    static eventName: "meeting.clearvote";
    eventName: "meeting.clearvote";
    constructor(room: RoomType, meetinghud: MeetingHud<RoomType>, message: ClearVoteMessage | undefined, 
    /**
     * The player that had their vote cleared.
     */
    player: PlayerData<RoomType>);
}
//# sourceMappingURL=ClearVote.d.ts.map